com.google.gwt.view.client

## Interface HasKeyProvider<T>

Type Parameters:
  `T` - the data type

All Known Implementing Classes:
  AbstractCellTable, AbstractHasData, CellBrowser.BrowserCellList, CellList, CellTable, CellWidget, DataGrid, HasDataPresenter

    public interface HasKeyProvider<T>

Interface for classes that have a `ProvidesKey`. Must be implemented by `Cell` containers.

### Method Summary

All Methods Instance Methods Abstract Methods
`ProvidesKey<T>` `getKeyProvider()` Return the key provider.

### Method Detail

#### getKeyProvider

    ProvidesKey<T> getKeyProvider()

Return the key provider.

Returns:
  the `ProvidesKey` instance